org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class DataPartitionFederatedScheme.BalanceMetrics

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme.BalanceMetrics

Enclosing class:
  DataPartitionFederatedScheme

    public static final class DataPartitionFederatedScheme.BalanceMetrics
    extends Object

### Field Summary

Fields
`long` `_avgRows`
`long` `_maxRows`
`long` `_minRows`

### Constructor Summary

Constructors
Constructor and Description
`BalanceMetrics(long minRows, long avgRows, long maxRows)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _minRows

    public final long _minRows

#### _avgRows

    public final long _avgRows

#### _maxRows

    public final long _maxRows

### Constructor Detail

#### BalanceMetrics

    public BalanceMetrics(long minRows,
                          long avgRows,
                          long maxRows)